import { Validator, ValidatorFn, AsyncValidatorFn, AsyncValidator } from "./validators";
export declare function composeValidators(validators: Array<Validator | any>): ValidatorFn | null;
export declare function composeAsyncValidators(validators: Array<Validator | any>): AsyncValidatorFn | null;
export declare function normalizeValidator(validator: ValidatorFn | Validator): ValidatorFn;
export declare function normalizeAsyncValidator(validator: AsyncValidatorFn | AsyncValidator): AsyncValidatorFn;
