import { Validators } from "../validators";
export function composeValidators(validators) {
    return validators != null ? Validators.compose(validators.map(normalizeValidator)) : null;
}
export function composeAsyncValidators(validators) {
    return validators != null ? Validators.composeAsync(validators.map(normalizeAsyncValidator)) : null;
}
export function normalizeValidator(validator) {
    if (validator.validate) {
        return (c) => validator.validate(c);
    }
    else {
        return validator;
    }
}
export function normalizeAsyncValidator(validator) {
    if (validator.validate) {
        return (c) => validator.validate(c);
    }
    else {
        return validator;
    }
}
//# sourceMappingURL=shared.js.map