import { AsyncValidatorFn, ValidatorFn } from './directives/validators';
import { AbstractControl, AbstractControlOptions, FormControl, FormGroup } from './model';
export declare class FormBuilder {
    group(controlsConfig: {
        [key: string]: any;
    }, options?: AbstractControlOptions | {
        [key: string]: any;
    } | null): FormGroup;
    control(formState: any, validatorOrOpts?: ValidatorFn | ValidatorFn[] | AbstractControlOptions | null, asyncValidator?: AsyncValidatorFn | AsyncValidatorFn[] | null): FormControl;
    /** @internal */
    _reduceControls(controlsConfig: {
        [k: string]: any;
    }): {
        [key: string]: AbstractControl;
    };
    /** @internal */
    _createControl(controlConfig: any): AbstractControl;
}
